<script>
  import { csv } from "d3-fetch";
  import { onMount } from "svelte";
  import Scatter from "./_ex_4_scatter.svelte";

  // Load the data
  let data = null;
  onMount(async () => {
    data = await csv("/data/cars-2.csv");
  });

  let local_array_comp1 = [];
  let local_array_comp2 = [];

  let global_selection_array = [];

  // Configurations
  const s1 = {
    x: (d) => +d.Horsepower,
    y: (d) => +d.Acceleration,
    xLabel: "Horsepower",
    yLabel: "Acceleration"
  };

  const s2 = {
    x: (d) => +d.Displacement,
    y: (d) => +d.Miles_per_Gallon,
    xLabel: "Displacement",
    yLabel: "Miles per Gallon"
  };


  $: {
    global_selection_array = local_array_comp1.map((item1,index) => local_array_comp2[index] && item1)
  }
</script>

{#if !data}
  <p>Loading the data, please wait...</p>
{:else}
  <Scatter {data} {...s1} bind:local_array={local_array_comp1} global_array = {global_selection_array}/>
  <Scatter {data} {...s2} bind:local_array={local_array_comp2} global_array = {global_selection_array} />
{/if}


